  subroutine rdwagner_supercooled(nopr,iout,indir,outdir,lstrn,iset,&
  lset,llset,nlines,wcm,wavelength,rndat,ridat,iwave)

! ***
! Read in the data from the netCDF file
! Will use netCDF f90 routines
  use netcdf

! param1.inc gives the maximum size of indices and extinction vectors
  include 'param1.inc'

! ****
! See rdinoutdir.f90
  character(len=60) :: indir,outdir
  integer :: nopr,iout,iset

! See main.f90
  integer :: nlines,iwave
  real :: wcm(nwavemax),wavelength(nwavemax)
  real :: rndat(nwavemax),ridat(nwavemax)
  character(len=100) :: lstrn,lset,filnm

! Used here
  integer,parameter :: ndat=442,nt=4
  integer :: ntk(nt)
  integer :: start(1),count(1),stride(1)
  integer :: start2(2),count2(2),stride2(2)
  real :: wcmdat(ndat),wavedat(ndat)
! Note that the ndat,nt is opposite to the ncdump dump
  real :: rnval(ndat,nt),rival(ndat,nt)
  character(len=30) :: fil
  character (len=16) :: llset,files(nt)

! The four temperatures of interest
  ntk(1)=238
  ntk(2)=252
  ntk(3)=258
  ntk(4)=269
!         '1234567890123456'
  files(1)='Wagner 238 K   '
  files(2)='Wagner 252 K   '
  files(3)='Wagner 258 K   '
  files(4)='Wagner 269 K   '

! ***
! Will specify which temperature to work with

  write(0,fmt=140)
  140 format(2x," Will select itemp=1,2,3,4 for 238, 252, 258 or 269 K ")

  write(0,fmt=160)
  160 format(2x,"Specify itemp ")

  read(5,*) itemp
  itemp=int(itemp)

! The compound string
  llset=files(itemp)

  write(0,fmt=170) itemp,llset
  170 format(2x," itemp,llset ",i4,2x,a16)

! ***
! Read in the data from the netCDF file
   lset=lstrn

! ***
! The input netCDF file
!     '123456789012345678901234567890'
  fil='wagner_supercooled.nc         '

! Obtain the full pathname of the input netCDF file
   noprf=1
  call getfilnm(noprf,iout,fil,indir,filnm)
  if (noprf .eq. 1) then
!  stop
  end if

! ***
! Open the netCDF file
  istat=nf90_open(filnm,nf90_nowrite,id1)
   call handle(iout,istat)

  if (nopr .eq. 1) then
   write(iout,fmt=100) id1,filnm
   100 format(/,2x,"rdwagner_supercooled: id1,filnm ",i8,2x,a100)
  end if

! ***
! Get dimension ids

  istat=nf90_inq_varid(id1,'ntext',idntext)
   call handle(iout,istat)
  istat=nf90_inq_varid(id1,'n70',idn70)
   call handle(iout,istat)

  istat=nf90_inq_varid(id1,'nlines',idnlines)
   call handle(iout,istat)
  istat=nf90_inq_varid(id1,'ntemps',idntemps)
   call handle(iout,istat)

! *****
! Get the dimensions
  istat=nf90_get_var(id1,idnlines,nlines)
   call handle(iout,istat)
  istat=nf90_get_var(id1,idntext,ntext)
   call handle(iout,istat)
  istat=nf90_get_var(id1,idn70,n70)
   call handle(iout,istat)
  istat=nf90_get_var(id1,idntemps,ntemps)
   call handle(iout,istat)

! *****
! Get variable ids
  istat=nf90_inq_varid(id1,'temps',idtemps)
   call handle(iout,istat)
  istat=nf90_inq_varid(id1,'wcm',idwcm)
   call handle(iout,istat)
  istat=nf90_inq_varid(id1,'wavelength',idwave)
   call handle(iout,istat)
  istat=nf90_inq_varid(id1,'rn',idrn)
   call handle(iout,istat)
  istat=nf90_inq_varid(id1,'ri',idri)
   call handle(iout,istat)

  if (nopr .eq. 1) then
   write(iout,fmt=500) nlines,ntemps,ntext,n70
   500 format(/,2x,"nlines,ntemps,ntext,n70",/,2x,4(2x,i4))
   write(iout,fmt=510) idtemps,idwcm,idwave,idrn,idri
   510 format(/,2x,"idtemps,idwcm,idwave,idrn,idri",/,2x,5(2x,i4))
  end if

! ****
!  Read in the real and imaginary indices
   start(1)=1
   count(1)=nlines
   stride(1)=1
  istat=nf90_get_var(id1,idwcm,wcmdat,start,count,stride)
   call handle(iout,istat)
  istat=nf90_get_var(id1,idwave,wavedat,start,count,stride)
   call handle(iout,istat)

   start2(1)=1
   start2(2)=1
! Note that count2(1) and count2(2) are opposite to the ncdump dump
   count2(1)=nlines
   count2(2)=ntemps
   stride2(1)=1
   stride2(2)=1
  istat=nf90_get_var(id1,idrn,rnval,start2,count2,stride2)
   call handle(iout,istat)
  istat=nf90_get_var(id1,idri,rival,start2,count2,stride2)
   call handle(iout,istat)

! ****
! Exit define mode
  istat=nf90_enddef(id1)

! Close the data set
  istat=nf90_close(id1)

! *****
! Put values into the output arrays
  do i=1,nlines
   wcm(i)=wcmdat(i)
   wavelength(i)=wavedat(i)
   rndat(i)=rnval(i,itemp)
   ridat(i)=rival(i,itemp)
  end do

! *****
  if (nopr .eq. 1) then
    write(iout,fmt=840)
    840 format(/,2x,"rdwagner_supercooled: i,wcm,wavelength,rndat,ridat")
   do i=1,nlines
    write(iout,fmt=850) i,wcm(i),wavelength(i),rndat(i),ridat(i)
    850 format(2x,i4,2(1x,f10.4),1p,2(1x,e10.3))
   end do
  end if

! ******
  return
  end


